org.apache.lucene.search.spans

## Class SpanTermQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery
    - - org.apache.lucene.search.spans.SpanTermQuery

-     public class SpanTermQuery
      extends SpanQuery

  Matches spans containing a term. This should not be used for terms that are indexed at position Integer.MAX_VALUE.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `SpanTermQuery.SpanTermWeight`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Term` | `term`
    `protected TermStates` | `termStates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanTermQuery(Term term)` Construct a SpanTermQuery matching the named term's spans.
    `SpanTermQuery(Term term, TermStates termStates)` Expert: Construct a SpanTermQuery matching the named term's spans, using the provided TermStates

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpanWeight` | `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)` Expert: Constructs an appropriate Weight implementation for this query.
    `boolean` | `equals(Object other)` Override and implement query instance equivalence properly in a subclass.
    `String` | `getField()` Returns the name of the field matched by this query.
    `Term` | `getTerm()` Return the term whose spans are matched.
    `TermStates` | `getTermStates()` Returns the `TermStates` passed to the constructor, or null if it was not passed.
    `int` | `hashCode()` Override and implement query hash code properly in a subclass.
    `String` | `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.
    `void` | `visit(QueryVisitor visitor)` Recurse through the query tree, visiting any child queries

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanQuery

      `getTermStates, getTermStates`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### term

          protected final Term term

    - #### termStates

          protected final TermStates termStates

  - ### Constructor Detail

    - #### SpanTermQuery

          public SpanTermQuery(Term term)

      Construct a SpanTermQuery matching the named term's spans.

    - #### SpanTermQuery

          public SpanTermQuery(Term term,
                               TermStates termStates)

      Expert: Construct a SpanTermQuery matching the named term's spans, using the provided TermStates

  - ### Method Detail

    - #### getTerm

          public Term getTerm()

      Return the term whose spans are matched.

    - #### getTermStates

          public TermStates getTermStates()

      Returns the `TermStates` passed to the constructor, or null if it was not passed.
      WARNING: This API is experimental and might change in incompatible ways in the next release.

    - #### getField

          public String getField()

      Description copied from class: `SpanQuery`
      Returns the name of the field matched by this query.
      Specified by:
        `getField` in class `SpanQuery`

    - #### createWeight

          public SpanWeight createWeight(IndexSearcher searcher,
                                         ScoreMode scoreMode,
                                         float boost)
                                  throws IOException

      Description copied from class: `Query`
      Expert: Constructs an appropriate Weight implementation for this query.

      Only implemented by primitive queries, which re-write to themselves.

      Specified by:
        `createWeight` in class `SpanQuery`
        `scoreMode` - How the produced scorers will be consumed.
        `boost` - The boost that is propagated by the parent queries.
      Throws:
        `IOException`

    - #### visit

          public void visit(QueryVisitor visitor)

      Description copied from class: `Query`
      Recurse through the query tree, visiting any child queries
      Overrides:
        `visit` in class `Query`
      Parameters:
        `visitor` - a QueryVisitor to be called by each query in the tree

    - #### toString

          public String toString(String field)

      Description copied from class: `Query`
      Prints a query to a string, with `field` assumed to be the default field and omitted.
      Specified by:
        `toString` in class `Query`

    - #### hashCode

          public int hashCode()

      Description copied from class: `Query`
      Override and implement query hash code properly in a subclass. This is required so that `QueryCache` works properly.
      Specified by:
        `hashCode` in class `Query`
      See Also:
        `Query.equals(Object)`

    - #### equals

          public boolean equals(Object other)

      Description copied from class: `Query`
      Override and implement query instance equivalence properly in a subclass. This is required so that `QueryCache` works properly. Typically a query will be equal to another only if it's an instance of the same class and its document-filtering properties are identical that other instance. Utility methods are provided for certain repetitive code.
      Specified by:
        `equals` in class `Query`
      See Also:
        `Query.sameClassAs(Object)`, `Query.classHash()`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.